Bug 202730 - via driver does not work for K8M800
via driver does not work for K8M800
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 21:33 EDT by Troy Bernakevitch
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 19:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Bernakevitch 2006-08-15 21:33:21 EDT
Description of problem:
Using via driver causes nothing but a blank screen to appear immediately after
RHGB. 

Version-Release number of selected component (if applicable):
0.2.1-4.1.i386

How reproducible:


Steps to Reproduce:
1.install fc6-t2
2.
3.
  
Actual results:
blank screen at boot

Expected results:
no blank screen

Additional info:
Hardware is a via K8M800 chipset, via pro graphics
The same machine was used for FC5 and via driver with no problems.
Changing to VESA driver will work, I also tried the xorg.conf from my FC5
install, but that didn't work.

I can provide additional info if needed
Comment 1 Emmanuel Seyman 2006-08-18 15:52:26 EDT
I'm seeing this as well on an MSI K8MM-V motherboard (the via K8M800 chipset is
integrated). When X is started, the screen goes blank and typing on the keyboard
has no effect. Booting to runlevel 3 works fine. Removing the xorg.conf file and
running system-config-display also blanks out the system. After ssh-ing in, I
can see the following logs:

in /var/log/messages:
Aug 18 20:16:51 kala kernel: [drm] Initialized drm 1.0.1 20051102
Aug 18 20:16:51 kala kernel: ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16
(level, low) -> IRQ 201
Aug 18 20:16:51 kala kernel: [drm] Initialized via 2.7.4 20051116 on minor 0
Aug 18 20:16:51 kala kernel: agpgart: Found an AGP 3.0 compliant device at
0000:00:00.0.
Aug 18 20:16:51 kala kernel: agpgart: Xorg tried to set rate=x12. Setting to
AGP3 x8 mode.
Aug 18 20:16:51 kala kernel: agpgart: Putting AGP V3 device at 0000:00:00.0 into
8x mode
Aug 18 20:16:51 kala kernel: agpgart: Putting AGP V3 device at 0000:01:00.0 into
8x mode
Aug 18 20:17:09 kala kernel: agpgart: Found an AGP 3.0 compliant device at
0000:00:00.0.
Aug 18 20:17:09 kala kernel: agpgart: Xorg tried to set rate=x12. Setting to
AGP3 x8 mode.
Aug 18 20:17:09 kala kernel: agpgart: Putting AGP V3 device at 0000:00:00.0 into
8x mode
Aug 18 20:17:09 kala kernel: agpgart: Putting AGP V3 device at 0000:01:00.0 into
8x mode

in /var/log/Xorg.setup.log:
(++) Using config file: "/tmp/tmpRgAYWsxorg.config"
/usr/bin/Xorg: symbol lookup error: /usr/lib/xorg/modules/drivers/via_drv.so:
undefined symbol: assert

This is with fc6t2 with all updates applied (the via driver version is the one
submitted by Troy).
Comment 2 Glen Basshem 2006-09-07 00:36:03 EDT
Xorg has fixed this bug in their code
https://bugs.freedesktop.org/show_bug.cgi?id=6668
It is the same as this bug
The patch attached to that bug report (6668) is not what thay implemented.
What was done is mentioned in comment #13, that is remove line 850 of via_dri.c
assert(saPriv)
I got xorg-x11-drv-via-0.2.1-4.1.src.rpm removed the line built it and installed
it on my machine. I have an ECS-K8M800-M2 motherboard with builtin unichome pro
video. It works fine.





Comment 3 Adam Jackson 2006-09-21 19:06:10 EDT
Fixed in 0.2.1-5.

Note You need to log in before you can comment on or make changes to this bug.